Subject: Re: [chrony-dev] Support for Multiple PPS Inputs on single PHC

From: Miroslav Lichvar <[email-masked]>
Date: Mon, 20 Feb 2023 11:08:23 +0100

On Thu, Feb 16, 2023 at 02:54:29PM -0800, Richard Cochran wrote:
> Each extts in the fifo is delivered only once.  If there are multiple
> readers, each reader will receive only some of the data.  This is
> similar to how a pipe behaves.

Does it need to be that way? It seems strange for the kernel to
support enabling PPS on multiple channels at the same time, but not
allow multiple applications to receive all samples from their channel.

-- 
Miroslav Lichvar